Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.fuse
Class DeepShell

    java.lang.Object
      org.basex.fuse.DeepShell

    public class DeepShell

extends java.lang.Object

Rudimentary shell to interact with a file hierarchy stored in XML.

Author:
  Workgroup DBIS, University of Konstanz 2009, ISC License, Alexander Holupirek, alex@holupirek.de

Nested Class Summary
`static interface` | `DeepShell.Command` Shell command description.

Method Summary
`void` | `help(java.lang.String[] args)` Print short help message for available commands.
`static void` | `main(java.lang.String[] args)` A file hierarchy stored as XML.
`void` | `mkdir(java.lang.String[] args)` Make new directory.
`void` | `quit(java.lang.String[] args)` Leave shell.
`void` | `rmdir(java.lang.String[] args)` Remove existing directory.
`void` | `serialize(java.lang.String[] args)` Serialize FS instance.
`void` | `touch(java.lang.String[] args)` Create a file if it doesn't exist yet.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### mkdir

    public void mkdir(java.lang.String[] args)

  Make new directory.

  Parameters:
    `args` - argument vector

### rmdir

    public void rmdir(java.lang.String[] args)

  Remove existing directory.

  Parameters:
    `args` - argument vector

### touch

    public void touch(java.lang.String[] args)

  Create a file if it doesn't exist yet.

  Parameters:
    `args` - argument vector

### help

    public void help(java.lang.String[] args)

  Print short help message for available commands.

  Parameters:
    `args` - argument vector

### quit

    public void quit(java.lang.String[] args)

  Leave shell.

  Parameters:
    `args` - argument vector (not used currently)

### serialize

    public void serialize(java.lang.String[] args)

  Serialize FS instance.

  Parameters:
    `args` - argument vector (currently not used)

### main

    public static void main(java.lang.String[] args)

  A file hierarchy stored as XML.

  Parameters:
    `args` - command-line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD